Hooks:PostHook(ProjectilesTweakData, "init","projectile_rebalance_init", function(self, tweak_data)
	self.m24 = {
		name_id = "bm_grenade_frag",
		weapon_id = "m24_grenade",
		unit = "units/vanilla/weapons/wpn_gre_m24/wpn_gre_m24",
		unit_hand = "units/vanilla/weapons/wpn_gre_m24/wpn_gre_m24_hand",
		unit_dummy = "units/vanilla/weapons/wpn_gre_m24/wpn_gre_m24_husk",
		icon = "frag_grenade",
		throwable = true,
		max_amount = 3,
		anim_global_param = "projectile_frag",
		throw_allowed_expire_t = 0.1,
		expire_t = 1.1,
		repeat_expire_t = 1.5,
		is_a_grenade = true,
		damage = 1700,
		player_damage = 15,
		range = 2500,
		killzone_range = 0.3,
		init_timer = 4.5,
		animations = {}
	}
	self.m24.animations.equip_id = "equip_welrod"
	self.m24.sound_event = "grenade_explode"
	self.m24.launch_speed = 500
	self.m24.gui = {
		rotation_offset = 3,
		distance_offset = -80,
		height_offset = -14,
		display_offset = 10,
		initial_rotation = {}
	}
	self.m24.gui.initial_rotation.yaw = -90
	self.m24.gui.initial_rotation.pitch = 60
	self.m24.gui.initial_rotation.roll = 0
	self.concrete = {
		name_id = "bm_grenade_concrete",
		unit = "units/upd_001/weapons/wpn_fps_gre_concrete/wpn_fps_gre_concrete",
		unit_hand = "units/upd_001/weapons/wpn_fps_gre_concrete/wpn_fps_gre_concrete_hand",
		unit_dummy = "units/upd_001/weapons/wpn_fps_gre_concrete/wpn_fps_gre_concrete_husk",
		icon = "frag_grenade",
		throwable = true,
		max_amount = 3,
		anim_global_param = "projectile_frag",
		throw_allowed_expire_t = 0.1,
		expire_t = 1.1,
		repeat_expire_t = 1.5,
		is_a_grenade = true,
		damage = 2600,
		player_damage = 30,
		range = 2200,
		killzone_range = 0.6,
		init_timer = 4.5,
		animations = {}
	}
	self.concrete.animations.equip_id = "equip_welrod"
	self.concrete.sound_event = "new_grenade_explode"
	self.concrete.launch_speed = 325
	self.concrete.gui = {
		rotation_offset = 3,
		distance_offset = -80,
		height_offset = -14,
		display_offset = 10,
		initial_rotation = {}
	}
	self.concrete.gui.initial_rotation.yaw = -90
	self.concrete.gui.initial_rotation.pitch = 60
	self.concrete.gui.initial_rotation.roll = 0
	self.d343 = {
		name_id = "bm_grenade_d343",
		unit = "units/upd_003/weapons/wpn_fps_gre_d343/wpn_fps_gre_d343",
		unit_hand = "units/upd_003/weapons/wpn_fps_gre_d343/wpn_fps_gre_d343_hand",
		unit_dummy = "units/upd_003/weapons/wpn_fps_gre_d343/wpn_fps_gre_d343_husk",
		icon = "frag_grenade",
		throwable = true,
		max_amount = 5,
		anim_global_param = "projectile_frag",
		throw_allowed_expire_t = 0.1,
		expire_t = 1.1,
		repeat_expire_t = 1.5,
		is_a_grenade = true,
		damage = 1250,
		player_damage = 25,
		range = 1400,
		killzone_range = 0.3,
		init_timer = 4.5,
		animations = {}
	}
	self.d343.animations.equip_id = "equip_welrod"
	self.d343.sound_event = "d43d_grenade_explode"
	self.d343.launch_speed = 220
	self.d343.gui = {
		rotation_offset = 0,
		distance_offset = -120,
		height_offset = -8,
		display_offset = 16,
		initial_rotation = {}
	}
	self.d343.gui.initial_rotation.yaw = 0
	self.d343.gui.initial_rotation.pitch = 90
	self.d343.gui.initial_rotation.roll = 30
	
	
	self.mills = {
		name_id = "bm_grenade_mills",
		unit = "units/upd_015/weapons/wpn_fps_gre_mills/wpn_fps_gre_mills",
		unit_hand = "units/upd_015/weapons/wpn_fps_gre_mills/wpn_fps_gre_mills_hand",
		unit_dummy = "units/upd_015/weapons/wpn_fps_gre_mills/wpn_fps_gre_mills_husk",
		icon = "frag_grenade",
		throwable = true,
		max_amount = 4,
		anim_global_param = "projectile_frag",
		throw_allowed_expire_t = 0.1,
		expire_t = 1.1,
		repeat_expire_t = 1.5,
		is_a_grenade = true,
		damage = 1700,
		player_damage = 45,
		range = 1200,
		killzone_range = 0.6,
		init_timer = 4.5,
		animations = {}
	}
	self.mills.animations.equip_id = "equip_welrod"
	self.mills.sound_event = "mills_grenade_explode"
	self.mills.launch_speed = 200
	self.mills.gui = {
		rotation_offset = 0,
		distance_offset = -120,
		height_offset = -8,
		display_offset = 16,
		initial_rotation = {}
	}
	self.mills.gui.initial_rotation.yaw = -90
	self.mills.gui.initial_rotation.pitch = 60
	self.mills.gui.initial_rotation.roll = 0
	self.cluster = {
		name_id = "bm_grenade_frag",
		unit = "units/vanilla/dev/dev_shrapnel/dev_shrapnel",
		unit_dummy = "units/vanilla/dev/dev_shrapnel/dev_shrapnel_husk",
		throwable = false,
		impact_detonation = true,
		max_amount = 6,
		anim_global_param = "projectile_frag",
		killzone_range = 0,
		is_a_grenade = true,
		damage = 800,
		launch_speed = 25,
		adjust_z = 5,
		player_damage = 15,
		range = 750,
		animations = {}
	}
	self.cluster.animations.equip_id = "equip_welrod"
	
	self.decoy_coin = {
		name_id = "bm_coin",
		unit = "units/vanilla/weapons/wpn_fps_decoy_coin_peace/wpn_decoy_coin_peace",
		unit_hand = "units/vanilla/weapons/wpn_fps_decoy_coin_peace/wpn_decoy_coin_peace_husk",
		unit_dummy = "units/vanilla/weapons/wpn_fps_decoy_coin_peace/wpn_decoy_coin_peace_husk",
		icon = "frag_grenade",
		max_amount = 21,
		throwable = true,
		anim_global_param = "projectile_molotov",
		throw_allowed_expire_t = 0.1,
		expire_t = 1.1,
		repeat_expire_t = 1.5,
		is_a_grenade = true,
		range = 2500,
		animations = {}
	}
	self.decoy_coin.animations.equip_id = "equip_welrod"
	self.decoy_coin.launch_speed = 450
	self.decoy_coin.gui = {
		rotation_offset = 0,
		distance_offset = -160,
		height_offset = -12,
		display_offset = 16,
		initial_rotation = {}
	}
	self.decoy_coin.gui.initial_rotation.yaw = 180
	self.decoy_coin.gui.initial_rotation.pitch = 10
	self.decoy_coin.gui.initial_rotation.roll = 0
	self.mortar_shell = {
		name_id = "bm_mortar_shell",
		unit = "units/vanilla/weapons/wpn_npc_proj_mortar_shell/wpn_npc_proj_mortar_shell",
		unit_dummy = "units/vanilla/weapons/wpn_npc_proj_mortar_shell/wpn_npc_proj_mortar_shell_husk",
		weapon_id = "mortar_shell",
		no_cheat_count = false,
		impact_detonation = true,
		physic_effect = Idstring("physic_effects/anti_gravitate"),
		adjust_z = 0,
		push_at_body_index = 0,
		init_timer = 5,
		damage = 7500,
		player_damage = 15,
		range = 1000,
		killzone_range = 0.75,
		init_timer = 15,
		effect_name = "effects/vanilla/explosions/exp_artillery_explosion_001",
		sound_event = "grenade_launcher_explosion",
		sound_event_impact_duration = 6
	}
	self.flamer_death_fake = clone(self.molotov)
	self.flamer_death_fake.init_timer = 0.01
	self.flamer_death_fake.adjust_z = 0
	self.flamer_death_fake.throwable = false
	self.flamer_death_fake.unit = "units/vanilla/dev/flamer_death_fake/flamer_death_fake"
	self.flamer_death_fake.unit_dummy = "units/vanilla/dev/flamer_death_fake/flamer_death_fake_husk"
	

	self._projectiles_index = {
		"m24",
		"cluster",
		"molotov",
		"mortar_shell",
		"flamer_death_fake",
		"concrete",
		"d343",
		"mills",
		"decoy_coin",
		"d343_impact"
	}

	self:_add_desc_from_name_macro(self)
end)